Bug 1097874 - Too many obsolete/hazardous versions of ovirt-release on website
Summary: Too many obsolete/hazardous versions of ovirt-release on website
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-installer
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 3.4.3
Assignee: Sandro Bonazzola
QA Contact: Pavel Stehlik
URL:
Whiteboard: integration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-14 18:43 UTC by Bob Doolittle
Modified: 2014-07-18 09:45 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-18 09:45:14 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Bob Doolittle 2014-05-14 18:43:40 UTC
NOTE: I can't find a decent category for "website/repository", so this category assignment is somewhat random. Somebody should make a new category which is suited to such issues.

Description of problem:

There are a number of obsolete and hazardous versions of ovirt-release on the website, which if somebody stumbles across and uses will cause problems with configuration/installation. Some examples:
http://resources.ovirt.org/pub/ovirt-3.4/rpm/fc19/noarch/ovirt-release-11.2.0-1.noarch.rpm
If installed this will introduce a known-buggy version of VDSM.

http://resources.ovirt.org/pub/ovirt-3.4/rpm/fc19/noarch/ovirt-release-11.1.0-1.noarch.rpm

Many more can be discovered with a little effort.

There RPMs should be cleaned off the website.

In combination with https://bugzilla.redhat.com/show_bug.cgi?id=1097872 this is a particularly hazardous situation, since there is no link to a valid RPM in the Quick Start guide, therefore people will go hunting and possibly find a bad one.

Comment 1 Sandro Bonazzola 2014-06-11 07:04:57 UTC
This is an automated message:
oVirt 3.4.2 has been released.
This bug has been re-targeted from 3.4.2 to 3.4.3 since priority or severity were high or urgent.

Comment 2 Sandro Bonazzola 2014-06-11 07:05:32 UTC
This is an automated message:
oVirt 3.4.2 has been released.
This bug has been re-targeted from 3.4.2 to 3.4.3 since priority or severity were high or urgent.

Comment 4 Sandro Bonazzola 2014-07-14 07:39:43 UTC
ovirt-release rpms should have been removed from the repositories and wiki pages should have been updated last week.

Comment 5 Sandro Bonazzola 2014-07-18 09:45:14 UTC
This is an automated message

oVirt 3.4.3 has been released:
 * should fix your issue
 * should be available at your local mirror within two days.

If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.